Package org.opensaml.xacml.policy

# Interface ObligationType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `ObligationTypeImpl`

public interface ObligationType extends XACMLObject
XACML Obligation schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Obligation.
`static final QName`
`DEFAULT_ELEMENT_QNAME`
QName of the element Obligation.
`static final String`
`FULFILL_ON_ATTRIB_NAME`
FulfillOn attribute name.
`static final String`
`OBLIGATION_ID_ATTRIB_NAME`
ObligationId attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AttributeAssignmentType>`
`getAttributeAssignments()`
Gets the attribute assignments for this obligation.
`EffectType`
`getFulfillOn()`
Gets the fulfill on effect.
`String`
`getObligationId()`
Gets the ID of this obligation.
`void`
`setFulfillOn(EffectType type)`
Sets fulfill on effect.
`void`
`setObligationId(String id)`
Sets the ID of this obligation.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Obligation.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_QNAME

static final QName DEFAULT_ELEMENT_QNAME
QName of the element Obligation.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### OBLIGATION_ID_ATTRIB_NAME

static final String OBLIGATION_ID_ATTRIB_NAME
ObligationId attribute name.

See Also:
  - Constant Field Values

### FULFILL_ON_ATTRIB_NAME

static final String FULFILL_ON_ATTRIB_NAME
FulfillOn attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAttributeAssignments

List<AttributeAssignmentType> getAttributeAssignments()
Gets the attribute assignments for this obligation.

Returns:
  attribute assignments for this obligation

### getObligationId

String getObligationId()
Gets the ID of this obligation.

Returns:
  ID of this obligation

### setObligationId

void setObligationId(String id)
Sets the ID of this obligation.

Parameters:
  `id` - ID of this obligation

### getFulfillOn

EffectType getFulfillOn()
Gets the fulfill on effect.

Returns:
  fulfill on effect

### setFulfillOn

void setFulfillOn(EffectType type)
Sets fulfill on effect.

Parameters:
  `type` - fulfill on effect